function open_clbk_str(varargin)

% Find structure and handles
swansed=findobj('Tag','swanonesed');
handles=get(swansed,'UserData');

set(handles.swan1dsed.menu.input.m,'Enable','Off')
set(handles.swan1dsed.menu.computation.m,'Enable','Off')
set(handles.swan1dsed.menu.output.m,'Enable','Off')

% Create new figure/window
handles.openproject.fig2=figure(211);clf;
set(handles.openproject.fig2,'Name','SwanOneSed - Open Project','Units','Centimeters',...
    'Position',[10 8 12 4],'Menubar','none','Numbertitle','off','Tag','Open Project','Color',[0.95 0.95 0.95]);

% 'Folder Name' textbox and text
handles.openproject.edit1=uicontrol(handles.openproject.fig2, 'Style','edit','Units','Centimeters','Position',[2.2 2.5 6.2 0.6],'Enable','On');
text1=uicontrol('Style','text','String','Folder Name','Units',...
    'Centimeters','Position',[0.2 2.4 1.7 0.6],'BackGroundColor',[0.95 0.95 0.95]);

% 'Browse' button
handles.openproject.browse1=uicontrol(handles.openproject.fig2,'Style','pushbutton','String','Browse','Units','Centimeters','Position',[9 2.5 2.2 0.6],'Enable','On','Callback',@browse_file_clbk);

% 'Project Name' textbox and text
handles.openproject.edit2=uicontrol(handles.openproject.fig2,'Style','edit','Units','Centimeters','Position',[2.2 1.5 6.2 0.6],'Enable','On');
text2=uicontrol('Style','text','String','File Name',...
    'Units','Centimeters','Position',[0.2 1.4 1.6 0.6],'BackGroundColor',[0.95 0.95 0.95]);

%% Other buttons

% 'OK' button
handles.openproject.pushbutton2=uicontrol(handles.openproject.fig2,'Style','pushbutton','Units','Centimeters','Position',[9 1.5 2.2 0.6],...
    'String','OK','Enable','On','Callback',@ok_open_clbk);

% 'Cancel' button
handles.openproject.pushbutton1=uicontrol(handles.openproject.fig2,'Style','pushbutton','Units','Centimeters','Position',[9 0.5 2.2 0.6],...
    'String','Cancel','Enable','On','Callback',@cancel_open_clbk);

% Set handles to 'Userdata' property
set(swansed,'UserData',handles);

end
